(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      5413,        152]
NotebookOptionsPosition[      4936,        131]
NotebookOutlinePosition[      5314,        148]
CellTagsIndexPosition[      5271,        145]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "Fraction d' \[EAcute]lectrons perdus par une masse ",
 StyleBox["m ",
  FontSlant->"Italic"],
 "(en gramme) de mati\[EGrave]re dont la masse atomique est A et de num\
\[EAcute]ro atomique Z lorsqu'elle porte une charge ",
 StyleBox["q ",
  FontSlant->"Italic"],
 "(en coulomb) :\n\n",
 Cell[BoxData[
  FormBox[
   FractionBox[
    StyleBox[
     RowBox[{"q", "A"}]], 
    StyleBox[
     RowBox[{"eZ", "m", "N"}]]], TraditionalForm]]]
}], "Text",
 CellChangeTimes->{{3.411020695410787*^9, 3.4110207426188097`*^9}, {
  3.41102083022482*^9, 3.41102083795853*^9}, {3.411021643873042*^9, 
  3.411021675065908*^9}, {3.4110224476285763`*^9, 3.411022469192601*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "PhysicalConstants`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"data", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"element", "\[Rule]", "\"\<Fe\>\""}], ",", " ", 
      RowBox[{"m", "\[Rule]", "200"}], ",", 
      RowBox[{"q", "\[Rule]", 
       RowBox[{
        RowBox[{"10", "^", 
         RowBox[{"-", "6"}]}], " ", "Coulomb"}]}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"q", "/", "ElectronCharge"}], "/.", "data"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"nombre", " ", 
    RowBox[{"d", "'"}], "\[EAcute]lectron", " ", "d\[EAcute]plac\[EAcute]s"}],
    " ", "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"m", "*", "AvogadroConstant", "*", "Mole", "*", 
    RowBox[{
     RowBox[{"ElementData", "[", 
      RowBox[{
       RowBox[{"element", "/.", "data"}], ",", "\"\<AtomicNumber\>\""}], 
      "]"}], "/", 
     RowBox[{"ElementData", "[", 
      RowBox[{
       RowBox[{"element", "/.", "data"}], ",", "\"\<AtomicWeight\>\""}], 
      "]"}]}]}], "/.", "data"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"nombre", " ", "total", " ", 
    RowBox[{"d", "'"}], "\[EAcute]lectrons"}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"q", " ", "*", 
   RowBox[{
    RowBox[{"ElementData", "[", 
     RowBox[{
      RowBox[{"element", "/.", "data"}], ",", "\"\<AtomicWeight\>\""}], "]"}],
     "/", 
    RowBox[{"(", 
     RowBox[{"ElectronCharge", "*", 
      RowBox[{"ElementData", "[", 
       RowBox[{
        RowBox[{"element", "/.", "data"}], ",", "\"\<AtomicNumber\>\""}], 
       "]"}], "*", "m", "*", " ", "AvogadroConstant", "*", "Mole"}], 
     ")"}]}]}], "/.", "data", " ", 
  RowBox[{"(*", " ", 
   RowBox[{"fraction", " ", 
    RowBox[{"d", "'"}], "\[EAcute]lectrons", " ", "perdus"}], " ", 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.4110198022428827`*^9, 3.411019834902356*^9}, 
   3.411019975055691*^9, {3.4110200476319113`*^9, 3.4110201013837233`*^9}, {
   3.411020163101248*^9, 3.4110201645542297`*^9}, {3.4110205571134863`*^9, 
   3.41102059331983*^9}, {3.4110206435876637`*^9, 3.4110206708665648`*^9}, 
   3.411020763608035*^9, 3.411020818524335*^9, {3.411020848528049*^9, 
   3.4110211319559107`*^9}, 3.411021206511915*^9, {3.411021401856535*^9, 
   3.411021403987361*^9}, {3.411021452686843*^9, 3.411021473829859*^9}, {
   3.411021685480619*^9, 3.4110217344705477`*^9}, {3.411022183943331*^9, 
   3.41102243142231*^9}, 3.4110225322349453`*^9, {3.4110225701473513`*^9, 
   3.411022600026381*^9}, {3.411022724432303*^9, 3.411022863947568*^9}, {
   3.411022995057909*^9, 3.411023077571196*^9}, {3.4110234306426992`*^9, 
   3.411023452703148*^9}, 3.4110235035158243`*^9}],

Cell[BoxData["6.241509744511524`*^12"], "Output",
 CellChangeTimes->{
  3.411022609269678*^9, {3.411022757137093*^9, 3.411022763463209*^9}, {
   3.411022848997139*^9, 3.4110228643367662`*^9}, 3.411022953886907*^9, 
   3.411023351184106*^9, 3.411023457653084*^9, 3.411023504222539*^9}],

Cell[BoxData["5.607509776703376`*^25"], "Output",
 CellChangeTimes->{
  3.411022609269678*^9, {3.411022757137093*^9, 3.411022763463209*^9}, {
   3.411022848997139*^9, 3.4110228643367662`*^9}, 3.411022953886907*^9, 
   3.411023351184106*^9, 3.411023457653084*^9, 3.411023504233336*^9}],

Cell[BoxData["1.1130626593719243`*^-13"], "Output",
 CellChangeTimes->{
  3.411022609269678*^9, {3.411022757137093*^9, 3.411022763463209*^9}, {
   3.411022848997139*^9, 3.4110228643367662`*^9}, 3.411022953886907*^9, 
   3.411023351184106*^9, 3.411023457653084*^9, 3.411023504235209*^9}]
}, Open  ]]
},
WindowSize->{828, 908},
WindowMargins->{{Automatic, 309}, {Automatic, 15}},
ShowSelection->True,
Magnification->1.5,
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 675, 19, 117, "Text"],
Cell[CellGroupData[{
Cell[1268, 44, 2789, 66, 340, "Input"],
Cell[4060, 112, 284, 4, 44, "Output"],
Cell[4347, 118, 284, 4, 44, "Output"],
Cell[4634, 124, 286, 4, 44, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
